{
  "schema_version": "1.4.0",
  "id": "GHSA-fp86-2355-v99r",
  "modified": "2024-11-29T12:31:47Z",
  "published": "2023-04-06T18:30:21Z",
  "aliases": [
    "CVE-2023-24537"
  ],
  "details": "Calling any of the Parse functions on Go source code which contains //line directives with very large line numbers can cause an infinite loop due to integer overflow.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2023-24537"
    },
    {
      "type": "WEB",
      "url": "https://go.dev/cl/482078"
    },
    {
      "type": "WEB",
      "url": "https://go.dev/issue/59180"
    },
    {
      "type": "WEB",
      "url": "https://groups.google.com/g/golang-announce/c/Xdv6JL9ENs8"
    },
    {
      "type": "WEB",
      "url": "https://pkg.go.dev/vuln/GO-2023-1702"
    },
    {
      "type": "WEB",
      "url": "https://security.gentoo.org/glsa/202311-09"
    },
    {
      "type": "WEB",
      "url": "https://security.netapp.com/advisory/ntap-20241129-0004"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2023-04-06T16:15:00Z"
  }
}